Subject: Re: Linux on an SGI Challenge L

From: [email-masked]
Date: Thu, 10 Dec 1998 16:36:46 +0100

On Wed, Dec 09, 1998 at 03:47:19PM -0600, Andrew R. Baker wrote:

> Anyone care to make any comments on porting Linux to an SGI Challenge L
> machine w/ (4) R4400 processors?  Am I crazy to even attempt this?

You're not crazy, after all Linux is already running on bigger iron and
about to run on Sun's E10000.  However you should checkout again what
hardware you actually have on your system.  A Challenge L is mostly like
an Indy (which is supported), that is strictly uniprocessor.  So
your system either is not a multiprocessor system or not a Challenge L.

  Ralf

---

From: [email-masked] (Steven G. Parker)
Date: Thu, 10 Dec 1998 08:59:11 -0700

On Dec 10,  4:36pm, [email-masked] wrote:
> Subject: Re: Linux on an SGI Challenge L

Actually, the Indy system is a Challenge S.  The Indigo^2 system is
a Challenge M.   The Challenge L is the desk-side system and can indeed
support multiple processors.

I can only comment on the model line - not on whether you are crazy or not :)

Steve Parker

---

From: "Fernando D. Mato Mira" <[email-masked]>
Date: Thu, 10 Dec 1998 17:08:17 +0100

>your system either is not a multiprocessor system or not a Challenge L.

Slip. Challenge S == "Indy" . Challenge L = deskside (max 8 proc)

Challenge DM = deskside (max 4?)

Fernando D. Mato Mira                    
Real-Time SW Eng & Networking            
Advanced Systems Engineering Division
CSEM - Centre Suisse d'Electronique et de
Microtechnique                                 
Jaquet-Droz 1                         email:  [email-masked]
CH-2007 Neuchatel                       tel: +41 (32) 720-5157
Switzerland                             FAX: +41 (32) 720-5720

<http://www.csemne.ch/>www.csem.ch                  <http://www.vrai.com/>w
ww.vrai.com              
<http://ligwww.epfl.ch/matomira.html>http://ligwww.epfl.ch/matomira.html

---

From: [email-masked] (Dave Olson)
Date: Thu, 10 Dec 1998 08:21:47 -0800 (PST)

Steven G. Parker wrote: 
|  On Dec 10,  4:36pm, [email-masked] wrote:
|  > > Anyone care to make any comments on porting Linux to an SGI Challenge L
|  > > machine w/ (4) R4400 processors?  Am I crazy to even attempt this?
|  >
|  > You're not crazy, after all Linux is already running on bigger iron and
|  > about to run on Sun's E10000.  However you should checkout again what
|  > hardware you actually have on your system.  A Challenge L is mostly like
|  > an Indy (which is supported), that is strictly uniprocessor.  So
|  > your system either is not a multiprocessor system or not a Challenge L.
|  
|  Actually, the Indy system is a Challenge S.  The Indigo^2 system is
|  a Challenge M.   The Challenge L is the desk-side system and can indeed
|  support multiple processors.
|  
|  I can only comment on the model line - not on whether you are crazy or not :)

The hardware is radically different.  The only shared item is the cpu,
and even it's used in a fairly different way.  indy w/o graphics as
challenge S, etc. is strictly a marketing idea.

It's clearly doable, but you need a whole new set of hardware specs.

Dave Olson, Silicon Graphics
http://reality.sgi.com/olson   [email-masked]

---

From: Alex deVries <[email-masked]>
Date: Thu, 10 Dec 1998 11:24:10 -0500 (EST)

What's in a Challenge L exactly, in terms of devices and busses?

- Alex

---

From: [email-masked] (Dave Olson)
Date: Thu, 10 Dec 1998 08:44:08 -0800 (PST)

Alex deVries wrote: 
|  
|  What's in a Challenge L exactly, in terms of devices and busses?

same cpu bus, but used differently
hidden gio bus within some cards (not quite the same as indy)
vme
wd95 scsi, not wd93
different ethernet
different serial
different memory/io interface chip, with layered and "interesting"
	buses(plural) to various kinds of i/o
interrupts (of course) are quite different, with some interesting
issues in the implementation.

There may still be some old white papers on www.sgi.com

---

From: [email-masked]
Date: Thu, 10 Dec 1998 19:45:24 +0100

> I can only comment on the model line - not on whether you are crazy or not :)

Sorry, I'm out of my mind since the big flu knocked me down during
last weekend's CLOWN cluster event.  I was actually thinking
Challenge S.

 Ralf  (Going back to Asprine and hot tee ...)